%global debug_package %{nil}

Name:       nlohmann-json
Version:    3.11.2
Release:    1%{?dist}
Summary:    Niels Lohmann JSON library
Group:      System Environment/Libraries
License:    MIT
URL:        https://github.com/nlohmann/json

Source0:    %{name}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: make
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++

%description
A JSON C++ library for modern C++ (including C++17) with the goals of
intuitive syntax, trivial integration and serious testing over a
variety of modern compilers.


# ====== cpp ======

# This project uses an extensive header file only and does not
# compile any linkable libraries.


# ====== cpp-devel ======

%package cpp-devel
Group:      Development/System
Summary:    API for nlohmann-json

%description cpp-devel
%{summary}

%files cpp-devel
%license LICENSE.MIT
%doc README.md
%{_includedir}/nlohmann
%{_datadir}/cmake/nlohmann_json
%{_datadir}/pkgconfig/nlohmann_json.pc


# ====

%prep
%setup -q -n %{name}-%{version}

%build
%cmake -DJSON_BuildTests=OFF
%cmake_build

%install
%cmake_install

%changelog
* Wed Aug 10 2022 Kim van der Riet - 3.11.0-2
- Changed to BuildArch: noarch, as this is a c++ headers-only package

* Tue Aug 2 2022 Kim van der Riet - 3.11.0-1
- Rebased to 3.11.0

* Fri Jun 24 2022 Kim van der Riet - 3.10.5-2
- Tidy-up of spec file

* Fri May 13 2022 Kim van der Riet - 3.10.5-1
- Initial build of nlohmannj-json v. 3.10.5-1
